org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Class ThreadPageLocksDumpLock.ThreadState

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker.ThreadPageLocksDumpLock.ThreadState

Enclosing class:
  ThreadPageLocksDumpLock

    public static class ThreadPageLocksDumpLock.ThreadState
    extends Object

### Field Summary

Fields
`InvalidContext<? extends PageLockDump>` `invalidContext`
`PageLockDump` `pageLockDump`
`Thread.State` `state`
`long` `threadId`
`String` `threadName`

### Constructor Summary

Constructors
Constructor and Description
`ThreadState(long threadId, String threadName, Thread.State state, PageLockDump pageLockDump, InvalidContext<? extends PageLockDump> invalidContext)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### threadId

    public final long threadId

#### threadName

    public final String threadName

#### state

    public final Thread.State state

#### pageLockDump

    public final PageLockDump pageLockDump

#### invalidContext

    public final InvalidContext<? extends PageLockDump> invalidContext

### Constructor Detail

#### ThreadState

    public ThreadState(long threadId,
                       String threadName,
                       Thread.State state,
                       PageLockDump pageLockDump,
                       InvalidContext<? extends PageLockDump> invalidContext)

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020